<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>
<%-- 선언 --%>
<%!
public enum FoodGroup {
	AMERICAN_INDIAN,
	BABY_FOODS,
	BAKED_FOODS,
	BEANS_AND_LENTILS,
	BEVERAGES,
	BREAKFAST_CEREALS,
	DAIRY_AND_EGG_PRODUCTS,
	FATS_AND_OILS,
	FAST_FOODS,
	FISH,
	FRUITS,
	GRAINS_AND_PASTA,
	NUTS_AND_SEEDS,
	MEATS,
	PREPARED_MEALS,
	RESTAURANT_FOODS,
	SNACKS,
	SOUPS_AND_SAUCES,
	SPICES_AND_HERBS,
	SWEETS,
	VEGETABLES;
};

public class FoodNutrientFact {
	private int id;
	private String name;
	private FoodGroup group;
	private int calories;	
	private double fat;
	private double protein;
	private double carbohydrate;
	private double sugars;
	private double fiber;
	private int cholesterol;
	private double saturatedFats;
	
	public FoodNutrientFact(int id, String name, FoodGroup group, int calories, double fat, double protein,
			double carbohydrate, double sugars, double fiber, int cholesterol, double saturatedFats) {
		super();
		this.id = id;
		this.name = name;
		this.group = group;
		this.calories = calories;
		this.fat = fat;
		this.protein = protein;
		this.carbohydrate = carbohydrate;
		this.sugars = sugars;
		this.fiber = fiber;
		this.cholesterol = cholesterol;
		this.saturatedFats = saturatedFats;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public FoodGroup getGroup() {
		return group;
	}

	public void setGroup(FoodGroup group) {
		this.group = group;
	}

	public int getCalories() {
		return calories;
	}

	public void setCalories(int calories) {
		this.calories = calories;
	}

	public double getFat() {
		return fat;
	}

	public void setFat(double fat) {
		this.fat = fat;
	}

	public double getProtein() {
		return protein;
	}

	public void setProtein(double protein) {
		this.protein = protein;
	}

	public double getCarbohydrate() {
		return carbohydrate;
	}

	public void setCarbohydrate(double carbohydrate) {
		this.carbohydrate = carbohydrate;
	}

	public double getSugars() {
		return sugars;
	}

	public void setSugars(double sugars) {
		this.sugars = sugars;
	}

	public double getFiber() {
		return fiber;
	}

	public void setFiber(double fiber) {
		this.fiber = fiber;
	}

	public int getCholesterol() {
		return cholesterol;
	}

	public void setCholesterol(int cholesterol) {
		this.cholesterol = cholesterol;
	}

	public double getSaturatedFats() {
		return saturatedFats;
	}

	public void setSaturatedFats(double saturatedFats) {
		this.saturatedFats = saturatedFats;
	}

	@Override
	public String toString() {
		return "FoodNutrientFact [id=" + id + ", name=" + name + ", group=" + group + ", calories=" + calories
				+ ", fat=" + fat + ", protein=" + protein + ", carbohydrate=" + carbohydrate + ", sugars=" + sugars
				+ ", fiber=" + fiber + ", cholesterol=" + cholesterol + ", saturatedFats=" + saturatedFats + "]";
	}
};

final List<FoodNutrientFact> fList = new ArrayList<FoodNutrientFact>() { 
	{
		add(new FoodNutrientFact(167526, "Bread Salvadoran Sweet Cheese (Quesadilla Salvadorena)", FoodGroup.BAKED_FOODS, 374, 17.12, 7.12, 47.84, 24.9, 0.7, 59, 46.12));
		add(new FoodNutrientFact(167546, "Honey-Combed With Peanut Butter", FoodGroup.SWEETS, 473, 20.18, 8.72, 67.41, 62.68, 1.9, 0, 5.735));
		add(new FoodNutrientFact(167680, "Restaurant Italian Spaghetti With Meat Sauce", FoodGroup.RESTAURANT_FOODS, 121, 3.59, 5.79, 16.4, 1.82, 1.6, 9, 1.062));
		add(new FoodNutrientFact(167742, "Scallops", FoodGroup.FISH, 111, 0.84, 20.54, 5.41, 0, 0, 41, 0.218));
		add(new FoodNutrientFact(167749, "Lemon Peel Raw", FoodGroup.FRUITS, 47, 0.3, 1.5, 16, 4.17, 10.6, 0, 0.039));

		add(new FoodNutrientFact(167838, "Pork Chops (Lean)", FoodGroup.MEATS, 195, 6.9, 31, 0, 0, 0, 88, 2.327));
		add(new FoodNutrientFact(167959, "Snacks Popcorn Air-Popped", FoodGroup.SNACKS, 387, 4.54, 12.94, 77.78, 0.87, 14.5, 0, 0.637));
		add(new FoodNutrientFact(168045, "Fish Salmon Sockeye (Red) Raw (Alaska Native)", FoodGroup.AMERICAN_INDIAN, 153, 7.28, 21.94, 0, 0, 0, 64, 1.007));
		add(new FoodNutrientFact(168098, "Cheese Monterey Low Fat", FoodGroup.DAIRY_AND_EGG_PRODUCTS, 313, 21.6, 28.2, 0.7, 0.56, 0, 65, 14.04));
		add(new FoodNutrientFact(168099, "Creamy Dressing Made With Sour Cream And/or Buttermilk And Oil Reduced Calorie Fat-Free", FoodGroup.FATS_AND_OILS, 107, 2.7, 1.4, 20, 5.35, 0, 0, 0.494));

		add(new FoodNutrientFact(167690, "Babyfood Apple Yogurt Dessert Strained", FoodGroup.BABY_FOODS, 93, 1.6, 0.8, 19.5, 12.02, 0.5, 6, 1.034));
		add(new FoodNutrientFact(168106, "Papad", FoodGroup.BEANS_AND_LENTILS, 371, 3.25, 25.56, 59.87, 0, 18.6, 4, 1.084));
		add(new FoodNutrientFact(168122, "Coffee Instant With Whitener Reduced Calorie", FoodGroup.BEVERAGES, 509, 29.1, 1.96, 59.94, 59, 0.5, 0, 25.128));
		add(new FoodNutrientFact(168138, "Post Honey Bunches Of Oats Honey Roasted", FoodGroup.BREAKFAST_CEREALS, 401, 5.46, 7.12, 81.19, 19.79, 4.2, 0, 0.64));
		add(new FoodNutrientFact(170294, "Cheeseburger; Single Large Patty; Plain", FoodGroup.FAST_FOODS, 310, 15.97, 17.29, 24.07, 4.67, 1.7, 51, 6.873));

		add(new FoodNutrientFact(170688, "Bulgur Dry", FoodGroup.GRAINS_AND_PASTA, 342, 1.33, 12.29, 75.87, 0.41, 12.5, 0, 0.232));
		add(new FoodNutrientFact(170071, "Yam",	FoodGroup.VEGETABLES, 118, 0.17, 1.53, 27.88, 0.5, 4.1, 0, 0.037));
		add(new FoodNutrientFact(170918, "Caraway Seed", FoodGroup.SPICES_AND_HERBS, 333, 14.59, 19.77, 49.9, 0.64, 38, 0, 0.62));
		add(new FoodNutrientFact(784374, "Cashews Lightly Salted", FoodGroup.NUTS_AND_SEEDS, 580, 47.72, 14.78, 31.55, 4.84, 2.9, 0, 9.246));
		add(new FoodNutrientFact(784425, "Brown Nut Gravy Meatless", FoodGroup.SOUPS_AND_SAUCES, 124, 10.5, 2.29, 6.2, 0.72, 1.3, 0, 1.314));
	}
};
%>


